Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model
Class ServerClientTokens

    java.lang.Object
      org.teleal.cling.model.ServerClientTokens

    public class ServerClientTokens

extends Object

Field Summary
`static String` | `SPACE_REPLACEMENT_CHAR`
`static String` | `UNKNOWN_PLACEHOLDER`

Constructor Summary
`ServerClientTokens()`
`ServerClientTokens(int majorVersion, int minorVersion, String osName, String osVersion, String productName, String productVersion)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getHttpToken()`
`int` | `getMajorVersion()`
`int` | `getMinorVersion()`
`String` | `getOsName()`
`String` | `getOsToken()`
`String` | `getOsVersion()`
`String` | `getProductName()`
`String` | `getProductToken()`
`String` | `getProductVersion()`
`int` | `hashCode()`
`void` | `setMajorVersion(int majorVersion)`
`void` | `setMinorVersion(int minorVersion)`
`void` | `setOsName(String osName)`
`void` | `setOsVersion(String osVersion)`
`void` | `setProductName(String productName)`
`void` | `setProductVersion(String productVersion)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SPACE_REPLACEMENT_CHAR

    public static final String SPACE_REPLACEMENT_CHAR

See Also:
  Constant Field Values

### UNKNOWN_PLACEHOLDER

    public static final String UNKNOWN_PLACEHOLDER

See Also:
  Constant Field Values

Constructor Detail

### ServerClientTokens

    public ServerClientTokens()

### ServerClientTokens

    public ServerClientTokens(int majorVersion,
                              int minorVersion,
                              String osName,
                              String osVersion,
                              String productName,
                              String productVersion)

Method Detail

### getMajorVersion

    public int getMajorVersion()

### setMajorVersion

    public void setMajorVersion(int majorVersion)

### getMinorVersion

    public int getMinorVersion()

### setMinorVersion

    public void setMinorVersion(int minorVersion)

### getOsName

    public String getOsName()

### setOsName

    public void setOsName(String osName)

### getOsVersion

    public String getOsVersion()

### setOsVersion

    public void setOsVersion(String osVersion)

### getProductName

    public String getProductName()

### setProductName

    public void setProductName(String productName)

### getProductVersion

    public String getProductVersion()

### setProductVersion

    public void setProductVersion(String productVersion)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getHttpToken

    public String getHttpToken()

### getOsToken

    public String getOsToken()

### getProductToken

    public String getProductToken()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.